var bw = {
  onLoad: function() {
    // initialization code
    this.initialized = true;
    this.strings = document.getElementById("bw-strings");
  },
  onMenuItemCommand: function(e) {
    var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                                  .getService(Components.interfaces.nsIPromptService);

    // GET URL
    var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                       .getService(Components.interfaces.nsIWindowMediator);
    var recentWindow = wm.getMostRecentWindow("navigator:browser");
    var url = recentWindow ? recentWindow.content.document.location : null;

    // SERIALIZE DOM
    var s = new XMLSerializer();
    var d = recentWindow.content.document;
    var str = s.serializeToString(d);

    var MessageTitle = this.strings.getString("BWMessageTitle");
    var SuccessString = this.strings.getString("BWSuccessMessage");
    var FailString = this.strings.getString("BWFailMessage");

    // SEND REQUEST
    var req = new XMLHttpRequest();
    req.onreadystatechange = function (aEvt) {
    if (req.readyState == 4) {
       if(req.status == 200) {
         promptService.alert(window, MessageTitle, SuccessString);
       } else {
         promptService.alert(window, MessageTitle, FailString+" "+req.status+" "+req.statustext);
       }
      }
    };
    req.open("POST", "http://www.petschge.de/projekte/blockwart/log.php", true);
    req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    req.send("url="+url+"&page="+str);

  },
  onToolbarButtonCommand: function(e) {
    // just reuse the function above.  you can change this, obviously!
    bw.onMenuItemCommand(e);
  }

};
window.addEventListener("load", function(e) { bw.onLoad(e); }, false);
